
package com.kingdee.eas.custom.compensation.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.util.BOSUuid;

import com.kingdee.bos.waf.winlet.edit.BillEntryBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.SubmitShemeTemplateEntryInfo;

public abstract class AbstractSubmitShemeTemplateEntryBean extends BillEntryBean {
	@Override
	public CoreBaseInfo createNewEntry() {
		SubmitShemeTemplateEntryInfo info = new SubmitShemeTemplateEntryInfo();
		info.setId(BOSUuid.create(info.getBOSType()));
		return info;
	}
}

